Page MenuHomePhabricator

issue6528: also filter delta on the fly when applying a changegroup
ClosedPublic

Authored by marmoute on Aug 7 2021, 10:07 AM.

Details

Summary

This ensure that corrupted clone does not spread corruption to "fixed" version.

This might come at a performance cost, we will had a config option to control
this behavior in the next changesets.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Aug 7 2021, 10:07 AM
baymax updated this revision to Diff 29861.Aug 8 2021, 5:22 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)
โš  This patch is intended for stable โš 

baymax updated this revision to Diff 29863.Aug 8 2021, 6:59 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)
โš  This patch is intended for stable โš 

pulkit accepted this revision.Aug 10 2021, 8:19 AM
This revision is now accepted and ready to land.Aug 10 2021, 8:19 AM